Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.algorithms
Class Algorithm

    java.lang.Object
      org.apache.xml.security.utils.ElementProxy
          org.apache.xml.security.utils.SignatureElementProxy
              org.apache.xml.security.algorithms.Algorithm

Direct Known Subclasses:
  MessageDigestAlgorithm, SignatureAlgorithm

    public abstract class Algorithm

extends SignatureElementProxy

The Algorithm class which stores the Algorithm URI as a string.

Field Summary

Fields inherited from class org.apache.xml.security.utils.ElementProxy
`baseURI, constructionElement, doc, log`

Constructor Summary
`Algorithm(org.w3c.dom.Document doc, java.lang.String algorithmURI)`
`Algorithm(org.w3c.dom.Element element, java.lang.String BaseURI)` Constructor Algorithm

Method Summary
`java.lang.String` | `getAlgorithmURI()` Method getAlgorithmURI
`protected void` | `setAlgorithmURI(java.lang.String algorithmURI)` Sets the algorithm's URI as used in the signature.

Methods inherited from class org.apache.xml.security.utils.SignatureElementProxy
`getBaseNamespace`

Methods inherited from class org.apache.xml.security.utils.ElementProxy
`addBase64Element, addBase64Text, addBigIntegerElement, addText, addTextElement, createElementForFamily, createElementForFamilyLocal, getBaseLocalName, getBaseURI, getBigIntegerFromChildElement, getBytesFromChildElement, getBytesFromTextChild, getDefaultPrefix, getDocument, getElement, getElementPlusReturns, getTextFromChildElement, getTextFromTextChild, length, registerDefaultPrefixes, setDefaultPrefix, setElement, setXPathNamespaceContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Algorithm

    public Algorithm(org.w3c.dom.Document doc,
                     java.lang.String algorithmURI)

Parameters:
  `doc` -
  `algorithmURI` - is the URI of the algorithm as String

### Algorithm

    public Algorithm(org.w3c.dom.Element element,
                     java.lang.String BaseURI)
              throws XMLSecurityException

  Constructor Algorithm

  Parameters:
    `element` -
    `BaseURI` -
  Throws:
    `XMLSecurityException`

Method Detail

### getAlgorithmURI

    public java.lang.String getAlgorithmURI()

  Method getAlgorithmURI

  Returns:
    The URI of the algorithm

### setAlgorithmURI

    protected void setAlgorithmURI(java.lang.String algorithmURI)

  Sets the algorithm's URI as used in the signature.

  Parameters:
    `algorithmURI` - is the URI of the algorithm as String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD